#ifndef __TEST_PARSER_H__
#define __TEST_PARSER_H__

#include "config.h"

#include <gnome-podcast.h>

#include <glib.h>

G_BEGIN_DECLS

typedef struct {
    GpodParser *parser;
} ParserFixture;

void
parser_fixture_set_up (ParserFixture *fixture,
                       gconstpointer  user_data);

void
parser_fixture_tear_down (ParserFixture *fixture,
                          gconstpointer  user_data);

void
test_parser_load_data (ParserFixture *fixture,
                       gconstpointer  user_data);

void
test_parser_load_file (ParserFixture *fixture,
                       gconstpointer  user_data);

G_END_DECLS

#endif /* __TEST_PARSER_H__ */
